/*
 * here is where system computed values get stored these values should only
 * change when the target compile platform changes
 */

/* what byte order */
/* #undef CMAKE_WORDS_BIGENDIAN */
#ifdef CMAKE_WORDS_BIGENDIAN
  #define OTB_WORDS_BIGENDIAN
#endif

/* what threading system are we using */
#define CMAKE_USE_PTHREADS
#ifdef CMAKE_USE_PTHREADS
#define OTB_USE_PTHREADS
#endif

/* #undef CMAKE_USE_SPROC */
#ifdef CMAKE_USE_SPROC
#define OTB_USE_SPROC
#endif

/* #undef CMAKE_HP_PTHREADS */
#ifdef CMAKE_HP_PTHREADS
#define OTB_HP_PTHREADS
#endif

/* #undef CMAKE_USE_WIN32_THREADS */
#ifdef CMAKE_USE_WIN32_THREADS
#define OTB_USE_WIN32_THREADS
#endif

#define OTB_BUILD_SHARED_LIBS
#ifdef OTB_BUILD_SHARED_LIBS
#define OTBDLL
#else
#define OTBSTATIC
#define OSSIMSTATIC
#endif

/* #undef CMAKE_NO_STD_NAMESPACE */
/* #undef CMAKE_NO_ANSI_STREAM_HEADERS */
/* #undef CMAKE_NO_ANSI_STRING_STREAM */
/* #undef CMAKE_NO_ANSI_FOR_SCOPE */

#define OTB_VERSION_MAJOR 4
#define OTB_VERSION_MINOR 0
#define OTB_VERSION_PATCH 0
#define OTB_VERSION_STRING "4.0.0"

/* Streaming configuration for application */
#define OTB_STREAM_IMAGE_SIZE_TO_ACTIVATE_STREAMING  128000000
#define OTB_STREAM_MAX_SIZE_BUFFER_FOR_STREAMING     128000000

/* Show developper debug messages */
/* #undef OTB_SHOW_ALL_MSG_DEBUG */

/* Curl */
#define OTB_USE_CURL
#define OTB_CURL_MULTI_AVAILABLE

/* OpenJpeg */
#define OTB_USE_JPEG2000

/* OpenCV */
/* #undef OTB_USE_OPENCV */

/* SiftFast */
#define OTB_USE_SIFTFAST

/* TinyXML Has STL */
#ifndef TIXML_USE_STL
/* #undef TIXML_USE_STL */
#endif

/* Path of OTB binaries and OTB install */
#define OTB_CONFIG "/tmp/SBo/OTB-4.0.0/build"

/* Deprecated Management */
/* #undef OTB_USE_DEPRECATED */

/* #undef CHECK_HDF4OPEN_SYMBOL */

/* MuParser has "&&" and "||" operators (version >= 2.0.0), instead of "and" and "or" (version <2.0.0 version) */
/* #undef OTB_MUPARSER_HAS_CXX_LOGICAL_OPERATORS */
