#-----------------------------------------------------------------------------
#
# OTBConfig.cmake - OTB CMake configuration file for external projects.
#
# This file is configured by OTB and used by the UseOTB.cmake module
# to load OTB's settings for an external project.

# This file is configured by OTB and used by the UseOTB.cmake module
# to load OTB's settings for an external project.

# Compute the installation prefix from this OTBConfig.cmake file location.
get_filename_component(OTB_INSTALL_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
GET_FILENAME_COMPONENT(OTB_INSTALL_PREFIX "${OTB_INSTALL_PREFIX}" PATH)
GET_FILENAME_COMPONENT(OTB_INSTALL_PREFIX "${OTB_INSTALL_PREFIX}" PATH)

# The OTB source tree.
set(OTB_SOURCE_DIR "/tmp/SBo/OTB-4.0.0")

# The OTB include file directories.
set(OTB_INCLUDE_DIRS "${OTB_INSTALL_PREFIX}/include/otb;${OTB_INSTALL_PREFIX}/include/otb/Common;${OTB_INSTALL_PREFIX}/include/otb/BasicFilters;${OTB_INSTALL_PREFIX}/include/otb/IO;${OTB_INSTALL_PREFIX}/include/otb/ChangeDetection;${OTB_INSTALL_PREFIX}/include/otb/FeatureExtraction;${OTB_INSTALL_PREFIX}/include/otb/Learning;${OTB_INSTALL_PREFIX}/include/otb/MultiScale;${OTB_INSTALL_PREFIX}/include/otb/MultiTemporal;${OTB_INSTALL_PREFIX}/include/otb/SpatialReasoning;${OTB_INSTALL_PREFIX}/include/otb/DisparityMap;${OTB_INSTALL_PREFIX}/include/otb/Projections;${OTB_INSTALL_PREFIX}/include/otb/Radiometry;${OTB_INSTALL_PREFIX}/include/otb/SARPolarimetry;${OTB_INSTALL_PREFIX}/include/otb/Segmentation;${OTB_INSTALL_PREFIX}/include/otb/Markov;${OTB_INSTALL_PREFIX}/include/otb/Fusion;${OTB_INSTALL_PREFIX}/include/otb/GeospatialAnalysis;${OTB_INSTALL_PREFIX}/include/otb/Hyperspectral;${OTB_INSTALL_PREFIX}/include/otb/Simulation;${OTB_INSTALL_PREFIX}/include/otb/Testing;${OTB_INSTALL_PREFIX}/include/otb/UtilitiesAdapters/CurlAdapters;${OTB_INSTALL_PREFIX}/include/otb/UtilitiesAdapters/OssimAdapters;${OTB_INSTALL_PREFIX}/include/otb/UtilitiesAdapters/TinyXMLAdapters;${OTB_INSTALL_PREFIX}/include/otb/UtilitiesAdapters/OGRAdapters;${OTB_INSTALL_PREFIX}/include/otb/UtilitiesAdapters/OpenCVAdapters;${OTB_INSTALL_PREFIX}/include/otb/UtilitiesAdapters/ITKPendingPatches;${OTB_INSTALL_PREFIX}/include/otb/UtilitiesAdapters;${OTB_INSTALL_PREFIX}/include/otb/OBIA;${OTB_INSTALL_PREFIX}/include/otb/Fuzzy;${OTB_INSTALL_PREFIX}/include/otb/ObjectDetection;${OTB_INSTALL_PREFIX}/include/otb/ApplicationEngine;${OTB_INSTALL_PREFIX}/include/otb/Utilities;${OTB_INSTALL_PREFIX}/include/otb/Utilities/otbsvm;${OTB_INSTALL_PREFIX}/include/otb/Utilities/InsightJournal;${OTB_INSTALL_PREFIX}/include/otb/Utilities/otb6S;${OTB_INSTALL_PREFIX}/include/otb/Utilities/otbedison;${OTB_INSTALL_PREFIX}/include/otb/Utilities/otbconfigfile;${OTB_INSTALL_PREFIX}/include/otb/Wrappers;${OTB_INSTALL_PREFIX}/include/otb/Wrappers/QtWidget;${OTB_INSTALL_PREFIX}/include/otb/Utilities/otbsiftfast;${OTB_INSTALL_PREFIX}/include/otb/Utilities/tinyXMLlib;${OTB_INSTALL_PREFIX}/include/otb/Utilities/otbmuparser;${OTB_INSTALL_PREFIX}/include/otb/Utilities/otbkml;/usr/include;/usr/include;/usr/include;/usr/include;/usr/include")

# The OTB library directories.
set(OTB_LIBRARY_DIRS "${OTB_INSTALL_PREFIX}/lib/otb")

# The OTB binary directories
set(OTB_BINARY_DIRS "${OTB_INSTALL_PREFIX}/bin")

# The OTB cmake modules directories
set(OTB_CMAKEMODULE_DIRS "${OTB_INSTALL_PREFIX}/lib/otb/cmakemodules")

# The C and C++ flags added by OTB to the cmake-configured flags.
set(OTB_REQUIRED_C_FLAGS "")
set(OTB_REQUIRED_CXX_FLAGS "")
set(OTB_REQUIRED_LINK_FLAGS "")

# The OTB version number
set(OTB_VERSION_MAJOR "4")
set(OTB_VERSION_MINOR "0")
set(OTB_VERSION_PATCH "0")
set(OTB_VERSION_STRING "4.0.0")

# The location of the UseOTB.cmake file.
set(OTB_USE_FILE "${OTB_INSTALL_PREFIX}/lib/otb/UseOTB.cmake")

# The build settings file.
set(OTB_BUILD_SETTINGS_FILE "${OTB_INSTALL_PREFIX}/lib/otb/OTBBuildSettings.cmake")

# Whether OTB was built with shared libraries.
set(OTB_BUILD_SHARED_LIBS "ON")

# The OTB library dependencies.
if(NOT OTB_NO_LIBRARY_DEPENDS AND
    EXISTS "${OTB_INSTALL_PREFIX}/lib/otb/OTBLibraryDepends.cmake")
  include("${OTB_INSTALL_PREFIX}/lib/otb/OTBLibraryDepends.cmake")
endif(NOT OTB_NO_LIBRARY_DEPENDS AND
    EXISTS "${OTB_INSTALL_PREFIX}/lib/otb/OTBLibraryDepends.cmake")

#Configuration file
set(OTB_CONFIG "/tmp/SBo/OTB-4.0.0/build")

# The OTB configuration options
set(OTB_SHOW_ALL_MSG_DEBUG "OFF")
set(OTB_USE_EXTERNAL_ITK "OFF")
set(OTB_USE_CURL "ON")
set(OTB_CURL_MULTI_AVAILABLE "TRUE")
set(OTB_USE_EXTERNAL_BOOST "ON")
set(OTB_USE_EXTERNAL_EXPAT "ON")
set(OTB_USE_EXTERNAL_OPENTHREADS "OFF")
set(OTB_USE_EXTERNAL_GDAL "ON")
set(OTB_USE_EXTERNAL_LIBKML "OFF")
set(OTB_USE_EXTERNAL_TINYXML "OFF")
set(OTB_USE_EXTERNAL_MUPARSER "OFF")
set(OTB_USE_PATENTED "OFF")
set(OTB_USE_MAPNIK "OFF")
set(OTB_MAPNIK_SUPPORTS_API20 "")
set(OTB_USE_JPEG2000 "ON")
set(OTB_USE_SIFTFAST "ON")
set(OTB_USE_OPENCV "OFF")

# Qt Wrappers configuration
set(OTB_WRAP_QT "ON")
